Package ru.bitel.bgbilling.plugins.helpdesk.common.bean

# Class HelpDeskConstants

java.lang.Object
ru.bitel.bgbilling.plugins.helpdesk.common.bean.HelpDeskConstants

    public class HelpDeskConstants
    extends java.lang.Object

Константы плагина helpdesk. Могут использоаться как на сервере так и на клинете

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `COMM_EMAIL_ENABLE` |
  `static java.lang.String` | `COMM_EMAIL_VALUE` |
  `static java.lang.String` | `COMM_MODE` |
  `static int` | `COMM_MODE_VALUE_EMAIL` |
  `static int` | `COMM_MODE_VALUE_NO` |
  `static int` | `COMM_MODE_VALUE_PHONE` |
  `static int` | `COMM_MODE_VALUE_SMS` |
  `static int` | `COMM_MODE_VALUE_TELEGRAM` |
  `static java.lang.String` | `COMM_PHONE_ENABLE` |
  `static java.lang.String` | `COMM_PHONE_VALUE` |
  `static java.lang.String` | `COMM_SMS_ENABLE` |
  `static java.lang.String` | `COMM_SMS_VALUE` |
  `static java.lang.String` | `COMM_TELEGRAM_ENABLE` |
  `static java.lang.String` | `COMM_TELEGRAM_VALUE` |
  `static java.lang.String` | `COMM_VALUE` |
  `static java.lang.String` | `CONTRACT_MODE_DEFAULT_NAME` |
  `static java.lang.String` | `CONTRACT_MODE_NAME` |
  `static java.lang.String` | `CONTRACT_MODE_VALUE_OFF` |
  `static java.lang.String` | `CONTRACT_MODE_VALUE_ON` |
  `static java.lang.String` | `CONTRACT_MODE_VALUE_PACKAGE` |
  `static java.lang.String` | `PREFIX_DEFAULT` |
  `static java.lang.String` | `PREFIX_TOPIC` |
  `static int` | `RESERVE_STATUS_BLOCKED` | Статус блокирования.
  `static int` | `RESERVE_STATUS_IN_WAIT` | В режиме ожидания, то есть денег при установки суммы не было и при поступлении прихода будет произведена попытка перейти в статус блокирования.
  `static int` | `RESERVE_STATUS_NON_SET` | Состояние не установленно.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `HelpDeskConstants()` |

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONTRACT_MODE_NAME

    public static final java.lang.String CONTRACT_MODE_NAME
    See Also:
      Constant Field Values

  - ### CONTRACT_MODE_DEFAULT_NAME

    public static final java.lang.String CONTRACT_MODE_DEFAULT_NAME
    See Also:
      Constant Field Values

  - ### CONTRACT_MODE_VALUE_ON

    public static final java.lang.String CONTRACT_MODE_VALUE_ON
    See Also:
      Constant Field Values

  - ### CONTRACT_MODE_VALUE_OFF

    public static final java.lang.String CONTRACT_MODE_VALUE_OFF
    See Also:
      Constant Field Values

  - ### CONTRACT_MODE_VALUE_PACKAGE

    public static final java.lang.String CONTRACT_MODE_VALUE_PACKAGE
    See Also:
      Constant Field Values

  - ### PREFIX_TOPIC

    public static final java.lang.String PREFIX_TOPIC
    See Also:
      Constant Field Values

  - ### PREFIX_DEFAULT

    public static final java.lang.String PREFIX_DEFAULT
    See Also:
      Constant Field Values

  - ### COMM_VALUE

    public static final java.lang.String COMM_VALUE
    See Also:
      Constant Field Values

  - ### COMM_PHONE_ENABLE

    public static final java.lang.String COMM_PHONE_ENABLE
    See Also:
      Constant Field Values

  - ### COMM_EMAIL_ENABLE

    public static final java.lang.String COMM_EMAIL_ENABLE
    See Also:
      Constant Field Values

  - ### COMM_SMS_ENABLE

    public static final java.lang.String COMM_SMS_ENABLE
    See Also:
      Constant Field Values

  - ### COMM_TELEGRAM_ENABLE

    public static final java.lang.String COMM_TELEGRAM_ENABLE
    See Also:
      Constant Field Values

  - ### COMM_PHONE_VALUE

    public static final java.lang.String COMM_PHONE_VALUE
    See Also:
      Constant Field Values

  - ### COMM_EMAIL_VALUE

    public static final java.lang.String COMM_EMAIL_VALUE
    See Also:
      Constant Field Values

  - ### COMM_SMS_VALUE

    public static final java.lang.String COMM_SMS_VALUE
    See Also:
      Constant Field Values

  - ### COMM_TELEGRAM_VALUE

    public static final java.lang.String COMM_TELEGRAM_VALUE
    See Also:
      Constant Field Values

  - ### COMM_MODE

    public static final java.lang.String COMM_MODE
    See Also:
      Constant Field Values

  - ### COMM_MODE_VALUE_NO

    public static final int COMM_MODE_VALUE_NO
    See Also:
      Constant Field Values

  - ### COMM_MODE_VALUE_PHONE

    public static final int COMM_MODE_VALUE_PHONE
    See Also:
      Constant Field Values

  - ### COMM_MODE_VALUE_EMAIL

    public static final int COMM_MODE_VALUE_EMAIL
    See Also:
      Constant Field Values

  - ### COMM_MODE_VALUE_SMS

    public static final int COMM_MODE_VALUE_SMS
    See Also:
      Constant Field Values

  - ### COMM_MODE_VALUE_TELEGRAM

    public static final int COMM_MODE_VALUE_TELEGRAM
    See Also:
      Constant Field Values

  - ### RESERVE_STATUS_NON_SET

    public static final int RESERVE_STATUS_NON_SET
    Состояние не установленно.
    See Also:
      Constant Field Values

  - ### RESERVE_STATUS_IN_WAIT

    public static final int RESERVE_STATUS_IN_WAIT
    В режиме ожидания, то есть денег при установки суммы не было и при поступлении прихода будет произведена попытка перейти в статус блокирования.
    See Also:
      Constant Field Values

  - ### RESERVE_STATUS_BLOCKED

    public static final int RESERVE_STATUS_BLOCKED
    Статус блокирования.
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### HelpDeskConstants

    public HelpDeskConstants()